<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>The Mighty Valkyries</Series>
  <Number>3</Number>
  <Web>https://www.comixology.com/The-Mighty-Valkyries-3/digital-comic/928267</Web>
  <Summary>CHILDREN OF THE AFTERLIFE! While Kraven the Hunter stalks Jane Foster on Midgard and the newest Valkyrie fights for her soul on Perdita, Karnilla, the queen of Hel, works a miracle in the land of the dead! But Karnilla isn’t Hel’s only ruler—and now she’s upset the cosmic balance. There will be a price to pay…and Karnilla intends to ensure the Valkyries pay it.</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB928267], [ASINB08Z313B1K], [RELDATE:2021-06-16]</Notes>
  <Publisher>Marvel</Publisher>
  <Genre>Superhero, Leading Ladies</Genre>
  <PageCount>23</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
